% Gearbox

function [Mech_out, Q] = Gearbox(Mech_in, Design)
	
	Efficiency = Design(1);			% Gearbox Efficiency
	Gear_ratio = Design(2);			% Gear Ratio
	w = Mech_in(1);					% Velocity (rad/s)
	Power = Mech_in(2)*Efficiency;		% Power (Watts)
	Mech_out =[w, Power];                 % Save Output                                   
	Q = (1-Efficiency)*Mech_in(2);		%
 
end